BSON_SNPRINTF(3)

SYNOPSIS

            int
            bson_snprintf (char *str, size_t size, const char *format, ...)
               BSON_GNUC_PRINTF (3, 4);

PARAMETERS

    •   str: The destination buffer.

    •   size: The size of str.

    •   format: A printf style format string.

DESCRIPTION

This is a portable wrapper around snprintf(). It also enforces a trailing \0 in the resulting string.

RETURNS

The number of bytes written to str.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc